featureNames {Biobase} | R Documentation

## Retrieve feature and sample names from eSets and exprSets.

### Description

These generic functions access the feature names (typically, gene or SNP identifiers) and sample names stored in an object derived from the `eSet-class` or `exprSet-class`. `geneNames` and `featureNames` offer similar functionality, but `featureNames` is the preferred method.

### Usage

    featureNames(object)
    featureNames(object) <- value
    sampleNames(object)
    sampleNames(object) <- value
    geneNames(object)
    geneNames(object) <- value

### Arguments

`object` | Object, possibly derived from class `eSet`
`value` | Character vector containing feature or sample names

### Value

`featureNames` and `geneNames` return a (usually long!) character vector uniquely identifying each feature.`sampleNames` returns a (usually shorter) character vector identifying samples.

### Author(s)

Biocore

### See Also

`exprSet-class`, `ExpressionSet-class`, `SnpSet-class`

[Package Biobase version 1.16.3 Index]